<?php
require('conexion.php');
session_start();
$id_nota = $_SESSION['cveNota'];
//$zona_atencion = $_POST['zona_atencion'];
$no_mesa = $_POST['no_mesa'];
$no_personas = $_POST['no_personas'];
$hora_edt = $_POST['hora_edt'];
$total_descuento = $_POST['ntv_descuento'];


$subtotal=query("SELECT SUM(pdn_cantidad*pdn_precio) 'SUBTOTAL' FROM productos_nota WHERE id_nota_venta='$id_nota'");
$resultado1=mysqli_fetch_assoc($subtotal);

$subtotal = $resultado1['SUBTOTAL'];

$descuento = ($subtotal*$total_descuento)/100;
$total = $subtotal - $descuento;

if ($no_mesa ==0) {
    $zona_atencion = "Para llevar";
}else{
    $zona_atencion = "Venta en piso";
}

if (isset($_POST['ntv_estatus'])) {
    $ntv_estatus = $_POST['ntv_estatus'];
}else {
    $ntv_estatus = 'pendiente';
}
$res = query("call sp_edit_nota_2('$id_nota','$zona_atencion','$no_mesa','$no_personas','$hora_edt','$subtotal','$total_descuento','$total','$ntv_estatus')");
//$res = query("call sp_edit_nota_2('$id_nota','$zona_atencion','$no_mesa','$no_personas','$hora_edt','$subtotal','$total_descuento','$total','pendiente')");
$resultado=mysqli_fetch_assoc($res);
echo $resultado['REGISTRADO'];
?>